
package b4a.limitbardemo;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class limitbar {
    public static RemoteObject myClass;
	public limitbar() {
	}
    public static PCBA staticBA = new PCBA(null, limitbar.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _mcallback = RemoteObject.declareNull("Object");
public static RemoteObject _meventname = RemoteObject.createImmutable("");
public static RemoteObject _mwidth = RemoteObject.createImmutable(0);
public static RemoteObject _mheight = RemoteObject.createImmutable(0);
public static RemoteObject _mradius = RemoteObject.createImmutable(0);
public static RemoteObject _ltbpanelback = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _ltbpanelfront = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _cvspanelback = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper");
public static RemoteObject _cvspanelfront = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper");
public static RemoteObject _rectpanelfront = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");
public static RemoteObject _mbackgroundcolor = RemoteObject.createImmutable(0);
public static RemoteObject _cdwbackground = RemoteObject.declareNull("anywheresoftware.b4a.objects.drawable.ColorDrawable");
public static RemoteObject _mbacklinecolor = RemoteObject.createImmutable(0);
public static RemoteObject _mfrontlinecolor = RemoteObject.createImmutable(0);
public static RemoteObject _mmargin = RemoteObject.createImmutable(0);
public static RemoteObject _x0 = RemoteObject.createImmutable(0);
public static RemoteObject _y0 = RemoteObject.createImmutable(0);
public static RemoteObject _x1 = RemoteObject.createImmutable(0);
public static RemoteObject _y1 = RemoteObject.createImmutable(0);
public static RemoteObject _y2 = RemoteObject.createImmutable(0);
public static RemoteObject _mmaxvalue = RemoteObject.createImmutable(0);
public static RemoteObject _mscale = RemoteObject.createImmutable(0);
public static RemoteObject _mlimit = null;
public static RemoteObject _positionpixels = null;
public static RemoteObject _paths = null;
public static RemoteObject _posindex = RemoteObject.createImmutable(0);
public static b4a.limitbardemo.main _main = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"cdwBackground",_ref.getField(false, "_cdwbackground"),"cvsPanelBack",_ref.getField(false, "_cvspanelback"),"cvsPanelFront",_ref.getField(false, "_cvspanelfront"),"ltbPanelBack",_ref.getField(false, "_ltbpanelback"),"ltbPanelFront",_ref.getField(false, "_ltbpanelfront"),"mBackgroundColor",_ref.getField(false, "_mbackgroundcolor"),"mBackLineColor",_ref.getField(false, "_mbacklinecolor"),"mCallback",_ref.getField(false, "_mcallback"),"mEventName",_ref.getField(false, "_meventname"),"mFrontLineColor",_ref.getField(false, "_mfrontlinecolor"),"mHeight",_ref.getField(false, "_mheight"),"mLimit",_ref.getField(false, "_mlimit"),"mMargin",_ref.getField(false, "_mmargin"),"mMaxValue",_ref.getField(false, "_mmaxvalue"),"mRadius",_ref.getField(false, "_mradius"),"mScale",_ref.getField(false, "_mscale"),"mWidth",_ref.getField(false, "_mwidth"),"Paths",_ref.getField(false, "_paths"),"PosIndex",_ref.getField(false, "_posindex"),"PositionPixels",_ref.getField(false, "_positionpixels"),"rectPanelFront",_ref.getField(false, "_rectpanelfront"),"x0",_ref.getField(false, "_x0"),"x1",_ref.getField(false, "_x1"),"y0",_ref.getField(false, "_y0"),"y1",_ref.getField(false, "_y1"),"y2",_ref.getField(false, "_y2")};
}
}